
Application: gvSIG desktop - gvSIG bugs #1348
Does not shown 'Text' in dwg layers
11/02/2012 02:18 PM - María Maluenda

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Document view
Target version: 2.2.0-2312
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2056 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1.- Open gvSIG BN 2056
2.- Add new view (23030)
3.- Add new layer (http://downloads.gvsig.org/download/geodata/vector/DWG/la_rioja_dwg.zip)
4.- Select layer in Toc 
5.- Click right button/ Select properties
6.- Select the symbols flange/ By unique values/ Classification field: Entity/ Range color blue 
7.- Click to add all
8.- Ok
Appears dwg layer with symbols but does not shown the texts
9.- Open Attribute table
10.- In Entity field does not appears the types 'Text' and the text field is empty.
If you apply the same steps in the gvSIG 1.11, are show the texts, and in the attribute table, in the Entity field appears 'Text' elements
and finally the field Text contains records
----------------
1.- Abrir gvSIG BN 2056
2.- Añadir nueva Vista (EPSG 23030)
3.- Añadir nueva capa ((http://downloads.gvsig.org/download/geodata/vector/DWG/la_rioja_dwg.zip)
4.- Seleccionar la capa en Toc
5.- Botón derecho/ Seleccionar propiedades
6.- En la pestaña símbolos/ simbolizar por valores únicos/ Campo de clasificación: Entity/rampa de color azul
7.- Clic en añadir todos
8.- Aceptar
Aparece la capa dwg con la simbología pero no se muestran los textos
9.- Abrir la Tabla de Atributos
10.- En el campo Entity no aparece ningún elemento del tipo 'Texto' y el campo Texto está vacío
Si aplicas los mismos pasos en gvSIG 1.11, se muestran los textos, y en la Tabla de Atributos, en el campo Entity aparecen
elementos de tipo 'Texto' y finalmente el campo Texto contiene registros.

Associated revisions
Revision 44 - 05/27/2015 01:47 PM - Francisco Díaz Carsí

fixes #1348 Arreglado problema al crear el punto de un DWGText
History
#1 - 12/07/2012 01:46 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final

#2 - 12/12/2012 11:19 PM - Manuel Madrid
- Target version deleted (2.0.0-final)

#3 - 01/13/2014 01:40 PM - Álvaro Anguix
- Assignee set to Juan Lucas Domínguez

#4 - 01/16/2014 12:21 PM - Álvaro Anguix
- Target version set to 2.1.0-2218-testing

#5 - 01/16/2014 04:56 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2218-testing to 2.1.0-2219-testing

#6 - 02/17/2014 08:40 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2219-testing to 2.1.0-2221-testing

#7 - 03/07/2014 09:03 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2221-testing to 2.1.0-2222-testing

#8 - 03/14/2014 04:30 PM - Álvaro Anguix
- Target version changed from 2.1.0-2222-testing to 2.2.0-2311-rc2

#9 - 04/04/2014 10:34 AM - Álvaro Anguix
- Assignee deleted (Juan Lucas Domínguez)

#10 - 01/28/2015 12:05 PM - Álvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#11 - 03/12/2015 04:54 PM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2
- Assignee set to José Badía

#12 - 04/29/2015 05:25 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102)
- Assignee deleted (José Badía)

#13 - 05/27/2015 01:44 PM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí

#14 - 05/27/2015 01:45 PM - Francisco Díaz Carsí
- Status changed from New to In progress

#15 - 05/27/2015 01:47 PM - Francisco Díaz Carsí
- % Done changed from 0 to 100
- Status changed from In progress to Fixed

Applied in changeset gvsig-dwg:r44.
#16 - 05/27/2015 06:14 PM - Francisco Díaz Carsí
- Target version changed from 2.3.0-2400 (rev. org.gvsig.desktop-2.0.102) to 2.2.0-2312

#17 - 05/28/2015 06:41 PM - Álvaro Anguix

Al probarlo, ahora sí muestra los textos en la tabla de atributos, pero en la Vista se ven como un punto.

#18 - 05/28/2015 06:44 PM - Francisco Díaz Carsí

Poniendo etiquetado deberían de salir.

#19 - 05/28/2015 06:57 PM - Álvaro Anguix

ya, aunque en la 1.x los dibuja automáticamente. No sé si esto es posible en 2.x.

#20 - 05/29/2015 09:59 AM - Álvaro Anguix
- Status changed from Fixed to Closed
